Index: trunk/wikifiles/plastic-slices/rspecs/plastic-109/openflow-wisconsin-plastic-109.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-109/openflow-wisconsin-plastic-109.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-109/openflow-wisconsin-plastic-109.rspec	(revision 1201)
@@ -1,44 +1,55 @@
-<!--
-This rspec will reserve the OpenFlow resources at Wisconsin used by the
-plastic-109 slice.
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Wisconsin
+used by the plastic-109 slice.
 
-AM: https://wings-openflow-1.wail.wisc.edu:1443/openflow/gapi/
+AM: https://foam.wail.wisc.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 109 at Wisconsin."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-109@wisconsin" description="Plastic Slices slice 109 at Wisconsin"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33109" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33109" name="naxos-33109" description="The FlowVisor on naxos, for plastic-109." expiry="1313380800"/>
+    <openflow:group name="wisconsin-plnodes-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.wail.wisc.edu+datapath+06:d6:00:23:47:cc:44:00"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:foam.wail.wisc.edu+authority+am">
+        <openflow:port num="1"/>
+        <openflow:port num="20"/>
+        <openflow:port num="22"/>
+      </openflow:datapath>
+    </openflow:group>
 
-  <flowspace>
+    <openflow:group name="wisconsin-1750-nlr-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.wail.wisc.edu+datapath+06:d6:00:21:f7:be:8d:00"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:foam.wail.wisc.edu+authority+am">
+        <openflow:port num="3"/>
+        <openflow:port num="51"/>
+      </openflow:datapath>
+    </openflow:group>
 
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:1"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:20"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:22"/>
+    <openflow:match>
 
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:21:f7:be:8d:00+port:3"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:21:f7:be:8d:00+port:51"/>
+      <openflow:use-group name="wisconsin-plnodes-1750" />
+      <openflow:use-group name="wisconsin-1750-nlr-3715" />
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.109.0" to="10.42.109.255"/>
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.109.0/24"/>
+        <openflow:nw_src value="10.42.109.0/24"/>
+      </openflow:packet>
 
-  </flowspace>
+    </openflow:match>
 
-  <flowspace>
+  </openflow:sliver>
 
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:1"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:20"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:23:47:cc:44:00+port:22"/>
-
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:21:f7:be:8d:00+port:3"/>
-    <port urn="urn:publicid:IDN+wisconsin:expedient:openflow+switch:06:d6:00:21:f7:be:8d:00+port:51"/>
-
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.109.0" to="10.42.109.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
